com.salesforce.hyperdb.grpc

## Interface AttachedDatabaseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AttachedDatabase, AttachedDatabase.Builder

    public interface AttachedDatabaseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAlias()` `string alias = 2;`
`com.google.protobuf.ByteString` `getAliasBytes()` `string alias = 2;`
`String` `getPath()` `string path = 1;`
`com.google.protobuf.ByteString` `getPathBytes()` `string path = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getPath

    String getPath()

`string path = 1;`

Returns:
  The path.

#### getPathBytes

    com.google.protobuf.ByteString getPathBytes()

`string path = 1;`

Returns:
  The bytes for path.

#### getAlias

    String getAlias()

`string alias = 2;`

Returns:
  The alias.

#### getAliasBytes

    com.google.protobuf.ByteString getAliasBytes()

`string alias = 2;`

Returns:
  The bytes for alias.